//Clipping.h

#ifndef _CLIPPING_H
#define _CLIPPING_H

class DxPolygon;

void	ComputeNormal( D3DXVECTOR3* out, D3DXVECTOR3* p0, D3DXVECTOR3* p1, D3DXVECTOR3* p2 );
bool	IsRightAxis( int axis, const D3DXVECTOR3& v0, const D3DXVECTOR3& v1, const D3DXVECTOR3& v2 );
int		GetMinAxis( const D3DXVECTOR3& v0, const D3DXVECTOR3& v1, const D3DXVECTOR3& v2 );
void	ComputePolygonNormal( DxPolygon* polygon );
int		ClipPolyLine(const D3DXVECTOR3* in, int n, float* out, float nx, float ny, float nz, float pd);
int     ClipTriangle( const D3DXVECTOR3* in, float* out, float nx, float ny, float nz, float pd );

#endif