//ObbMesh.h

#ifndef _OBBMESH_H
#define _OBBMESH_H

#include "collision.h"


class ObbMesh
{
public:
	ObbMesh();
	virtual ~ObbMesh();
	void	SetTranslate( float x, float y, float z );
	void	SetRotate(	float xaxis, float yaxis, float zaxis );
	void	SetRadius( float hwx, float hwy, float hwz );
	void	Render( const LPDIRECT3DDEVICE9 device );
	void	SetColor( float r, float g, float b );
	OBB&	GetCollision();

private:
	OBB			m_obb;
	DWORD		m_color;
};




#endif