//SphereMesh.h
#ifndef _SPHEREMESH_H
#define _SPHEREMESH_H

#include "collision.h"

class SphereMesh
{
public:
	SphereMesh();
	~SphereMesh();

	Sphere&     GetCollision();
	void		SetRadius( float r );
	void		SetTranslate( float x, float y, float z );
	void		Render( const LPDIRECT3DDEVICE9 device );


private:
	Sphere		m_sphere;
	ID3DXMesh*	m_pMesh;

};



#endif